package de.arindy.dicetower

import io.quarkus.qute.CheckedTemplate
import io.quarkus.qute.TemplateInstance

@CheckedTemplate
object Templates {
    @JvmStatic
    external fun overlay(diceid: String, scale: Int?, clearAfter: Long?): TemplateInstance

    @JvmStatic
    external fun results(room: String, name: String?, user: String?): TemplateInstance

    @JvmStatic
    external fun index(version: String): TemplateInstance

    @JvmStatic
    external fun chatoverlayconfig(): TemplateInstance

    @JvmStatic
    external fun chatoverlay(
        channel: String,
        scale: Int?,
        maxDice: Int?,
        modsAllowed: Boolean,
        vipAllowed: Boolean,
        subsAllowed: Boolean,
        cmd: String?,
        theme: String?,
        themeColor: String?,
        clearAfter: Long?,
        timeout: Long?
    ): TemplateInstance
}
